window.GlobalGame = {};

window.GlobalGame.showRewardVideo = function(event, cb) {
    if (event == null || event.length == 0) {
        event = 'video';
    };

    var env = JYSDK.getEnv();
    if ('box' == env) {
    	var map = ['shopBuy', 'repair', 'doSkill', 'skillUp', 'revive'];
		if (map.indexOf(event) < 0) {
			cb && cb(true);
			return;
		}
    }

    var rand = Math.round(Math.random() * 100);
    if (JYSDK.isAudit()) {
        rand = 100;
    }

    if (rand < 50) {
        event = 'video';
        this.showInterstitial(event, cb);
        return;
    }

	JYSDK.AdManager.showRewardVideo({
		data: {id: event},
	 	success: function(res) {
	 		cb && cb(true);
	 	},
	})
}

window.GlobalGame.showInterstitial = function(event, cb) {
	JYSDK.AdManager.showInterstitial({
		data: {id: event},
	 	success: function(res) {
	 		cb && cb(true);
	 	},
	})
}